Home
last modified time | relevance | path

Searched refs:echo (Results 1 – 25 of 1295) sorted by relevance

12345678910>>...52

/openbmc/openbmc/poky/meta/classes-recipe/
H A Dtoolchain-scripts.bbclass43echo '# Check for LD_LIBRARY_PATH being set, which can break SDK and generally is a bad practice' …
44 echo '# http://tldp.org/HOWTO/Program-Library-HOWTO/shared-libraries.html#AEN80' >> $script
45 echo '# http://xahlee.info/UnixResource_dir/_/ldpath.html' >> $script
46 echo '# Only disable this check if you are absolutely know what you are doing!' >> $script
47 echo 'if [ ! -z "${LD_LIBRARY_PATH:-}" ]; then' >> $script
48echo " echo \"Your environment is misconfigured, you probably need to 'unset LD_LIBRARY_PATH'\"…
49echo " echo \"but please check why this was set in the first place and that it's safe to unset.…
50echo ' echo "The SDK will not operate correctly in most cases when LD_LIBRARY_PATH is set."' >>…
51 echo ' echo "For more references see:"' >> $script
52echo ' echo " http://tldp.org/HOWTO/Program-Library-HOWTO/shared-libraries.html#AEN80"' >> $sc…
[all …]
/openbmc/openbmc/meta-openembedded/meta-oe/recipes-benchmark/lmbench/lmbench/
H A D0001-scripts-build-Fix-the-tests-to-build-with-clang15.patch18 -echo "main(int ac, char *av[]) { int i; }" > ${BASE}$$.c
19 +echo "int main(int ac, char *av[]) { int i; }" > ${BASE}$$.c
23 @@ -39,7 +39,7 @@ arch=`echo $OS | awk -F- '{print $1;}'`
26 echo "#include <stdlib.h>" > ${BASE}$$.c
27 - echo "main(int ac, char *av[])" >> ${BASE}$$.c
28 + echo "int main(int ac, char *av[])" >> ${BASE}$$.c
29 echo "{ long* p = (long*)malloc(sizeof(long));" >> ${BASE}$$.c
30 echo "*p = 0; exit((int)*p); }" >> ${BASE}$$.c
35 echo "#include <string.h>" > ${BASE}$$.c
36 -echo "main() { char a[256], b[256]; bcopy(a, b, 256); }" >> ${BASE}$$.c
[all …]
H A Dupdate-results-script.patch24 echo $L; echo "";
25 echo "Hang on, we are calculating your timing granularity."
31 echo "OK, it looks like you can time stuff down to $ENOUGH usec resolution."
32 echo ""
33 echo "Hang on, we are calculating your timing overhead."
39 echo "OK, it looks like your gettimeofday() costs $TIMING_O usecs."
40 echo ""
41 echo "Hang on, we are calculating your loop overhead."
47 echo "OK, it looks like your benchmark loop costs $LOOP_O usecs."
48 echo ""
[all …]
/openbmc/linux/tools/testing/selftests/ftrace/test.d/
H A Dfunctions2 echo > trace
6 echo 0 > tracing_on
10 echo 1 > tracing_on
14 echo nop > current_tracer
21 cmd=`echo $line | cut -f2- -d: | cut -f1 -d"["`
22 file=`echo $line | cut -f1 -d:`
23 echo "!$cmd" >> $file
27 cmd=`echo $line | cut -f2- -d: | cut -f1 -d"["`
28 file=`echo $line | cut -f1 -d:`
29 echo "!$cmd" > $file
[all …]
/openbmc/openbmc/poky/meta/recipes-extended/lsof/files/
H A Dremove-host-information.patch50 @echo Constructing version.h
52 - @echo '#define LSOF_BLDCMT "${LSOF_BLDCMT}"' > version.h;
53 - @echo '#define LSOF_CC "${CC}"' >> version.h
54 - @echo '#define LSOF_CCV "${CCV}"' >> version.h
55 - @echo '#define LSOF_CCFLAGS "'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed '…
56 - @echo '#define LSOF_CINFO "${CINFO}"' >> version.h
59 - echo '#define LSOF_HOST "'`uname -n`'"' >> version.h; \
61 - echo '#define LSOF_HOST ""' >> version.h; \
65 - echo '#define LSOF_HOST ""' >> version.h; \
67 - echo '#define LSOF_HOST "${LSOF_HOST}"' >> version.h; \
[all …]
/openbmc/openbmc/meta-raspberrypi/recipes-bsp/bootfiles/
H A Drpi-config_git.bb116 echo 'hdmi_cvt=${HDMI_CVT}' >> $CONFIG
147 echo "# Enable offline compositing" >>$CONFIG
148 echo "dispmanx_offline=1" >>$CONFIG
153 echo "# Enable SPI bus" >>$CONFIG
154 echo "dtparam=spi=on" >>$CONFIG
159 echo "# Enable I2C" >>$CONFIG
160 echo "dtparam=i2c1=on" >>$CONFIG
161 echo "dtparam=i2c_arm=on" >>$CONFIG
166 echo "# Enable PITFT22 display" >>$CONFIG
167 echo "dtoverlay=pitft22,rotate=270,speed=32000000,txbuflen=32768" >>$CONFIG
[all …]
/openbmc/u-boot/board/boundary/nitrogen6x/
H A D6x_upgrade.txt2 echo "check U-Boot" ;
5 echo "read $filesize bytes from SD card" ;
8 echo "probed SPI ROM" ;
11 echo "------- U-Boot versions match" ;
13 echo "Need U-Boot upgrade" ;
14 echo "Program in 5 seconds" ;
16 echo $n ;
19 echo "erasing" ;
22 echo "programming" ;
24 echo "verifying" ;
[all …]
/openbmc/openbmc/meta-security/recipes-security/isic/files/
H A Dconfigure_fix.patch30 echo "--enable and --with options recognized:$ac_help"
37 -ac_safe=`echo "$PREFIX/lib/libnet.a" | sed 'y%./+-%__p_%'`
38 -echo $ac_n "checking for $PREFIX/lib/libnet.a""... $ac_c" 1>&6
39 -echo "configure:836: checking for $PREFIX/lib/libnet.a" >&5
40 -if eval "test \"`echo '$''{'ac_cv_file_$ac_safe'+set}'`\" = set"; then
41 - echo $ac_n "(cached) $ac_c" 1>&6
44 - { echo "configure: error: Cannot check for file existence when cross compiling" 1>&2; exit 1; }
53 -if eval "test \"`echo '$ac_cv_file_'$ac_safe`\" = yes"; then
54 - echo "$ac_t""yes" 1>&6
57 - echo "$ac_t""no" 1>&6
[all …]
/openbmc/openbmc-tools/tracing/
H A DREADME.md36 ++ eval echo '${EVENT_sched}'
37 +++ echo sched/sched_switch sched/sched_wakeup sched/sched_wakeup_new sched/sched_waking
38 + for event in '$(eval echo ${trace})'
39 + echo 1
40 + for event in '$(eval echo ${trace})'
41 + echo 1
42 + for event in '$(eval echo ${trace})'
43 + echo 1
44 + for event in '$(eval echo ${trace})'
45 + echo 1
[all …]
/openbmc/linux/Documentation/leds/
H A Dleds-lp55xx.rst92 echo 1 > /sys/bus/i2c/devices/xxxx/select_engine
93 echo 1 > /sys/class/firmware/lp5521/loading
94 echo "4000600040FF6000" > /sys/class/firmware/lp5521/data
95 echo 0 > /sys/class/firmware/lp5521/loading
96 echo 1 > /sys/bus/i2c/devices/xxxx/run_engine
102 echo 3 > /sys/bus/i2c/devices/xxxx/select_engine
103 echo 1 > /sys/class/firmware/lp55231/loading
104 echo "9d0740ff7e0040007e00a0010000" > /sys/class/firmware/lp55231/data
105 echo 0 > /sys/class/firmware/lp55231/loading
106 echo "000001100" > /sys/bus/i2c/devices/xxxx/engine3_leds
[all …]
/openbmc/openbmc/meta-openembedded/meta-oe/recipes-extended/byacc/byacc/
H A D0001-byacc-do-not-reorder-CC-and-CFLAGS.patch55 -echo "$as_me:2155: checking \$CFLAGS variable" >&5
56 -echo $ECHO_N "checking \$CFLAGS variable... $ECHO_C" >&6
59 - echo "$as_me:2159: result: broken" >&5
60 -echo "${ECHO_T}broken" >&6
61 - { echo "$as_me:2161: WARNING: your environment uses the CFLAGS variable to hold CPPFLAGS options"…
62 -echo "$as_me: WARNING: your environment uses the CFLAGS variable to hold CPPFLAGS options" >&2;}
81 - cf_tst_cflags=`echo "${cf_add_cflags}" |sed -e 's/^-D[^=]*='\''\"[^"]*//'`
108 - cf_tst_cppflags=`echo "x$cf_add_cflags" | sed -e 's/^...//' -e 's/=.*//'`
110 -CPPFLAGS=`echo "$CPPFLAGS" | \
136 - cf_tst_cflags=`echo "${cf_add_cflags}" |sed -e 's/^[^"]*"'\''//'`
[all …]
/openbmc/linux/Documentation/translations/zh_CN/admin-guide/mm/damon/
H A Dusage.rst49 # echo 1 > kdamonds/nr_kdamonds && echo 1 > kdamonds/0/contexts/nr_contexts
50 # echo vaddr > kdamonds/0/contexts/0/operations
51 # echo 1 > kdamonds/0/contexts/0/targets/nr_targets
52 # echo $(pidof <workload>) > kdamonds/0/contexts/0/targets/0/pid_target
53 # echo on > kdamonds/0/state
313 # echo 1 > kdamonds/nr_kdamonds; echo 1 > kdamonds/0/contexts/nr_contexts;
314 # echo 1 > kdamonds/0/contexts/0/schemes/nr_schemes
317 # echo 4096 > access_pattern/sz/min
318 # echo 8192 > access_pattern/sz/max
319 # echo 0 > access_pattern/nr_accesses/min
[all …]
/openbmc/openbmc/poky/meta/recipes-support/vim/files/
H A D0001-src-Makefile-improve-reproducibility.patch24 -@echo '#include "vim.h"' >> $@
25 -@echo 'char_u *default_vim_dir = (char_u *)"$(VIMRCLOC)";' | $(QUOTESED) >> $@
26 -@echo 'char_u *default_vimruntime_dir = (char_u *)"$(VIMRUNTIMEDIR)";' | $(QUOTESED) >> $@
27 - -@echo 'char_u *all_cflags = (char_u *)"$(CC) -c -I$(srcdir) $(ALL_CFLAGS)";' | $(QUOTESED) >> $@
28 - -@echo 'char_u *all_lflags = (char_u *)"$(CC) $(ALL_LIB_DIRS) $(LDFLAGS) -o $(VIMTARGET) $(ALL_LI…
29 - -@echo 'char_u *compiled_user = (char_u *)"' | tr -d $(NL) >> $@
31 - echo "$(COMPILEDBY)" | tr -d $(NL) >> $@; \
33 - -@echo '";' >> $@
34 - -@echo 'char_u *compiled_sys = (char_u *)"' | tr -d $(NL) >> $@
36 - -@echo '";' >> $@
[all …]
/openbmc/qemu/tests/rocker/
H A Dall3 if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi
7 if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi
11 if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi
15 if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi
19 if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi
/openbmc/openbmc/poky/meta/recipes-support/numactl/numactl/
H A DFix-the-test-output-format.patch23 echo "need at least two nodes with at least $NEEDPAGES each of"
24 echo "free memory for mempolicy regression tests"
25 + echo "SKIP: numa regress"
33 - echo '========SUCCESS'
34 + echo 'PASS: numactl regress'
36 - echo '========FAILURE'
38 + echo 'FAIL: numactl regress'
50 - echo "$@"
52 - echo $1 FAILED!!!!
55 - echo
[all …]
/openbmc/linux/Documentation/networking/device_drivers/ethernet/mellanox/mlx5/
H A Dtracepoints.rst19 $ echo mlx5:mlx5e_configure_flower >> /sys/kernel/tracing/set_event
26 $ echo mlx5:mlx5e_delete_flower >> /sys/kernel/tracing/set_event
33 $ echo mlx5:mlx5e_stats_flower >> /sys/kernel/tracing/set_event
40 $ echo mlx5:mlx5e_tc_update_neigh_used_value >> /sys/kernel/tracing/set_event
47 $ echo mlx5:mlx5e_rep_neigh_update >> /sys/kernel/tracing/set_event
56 $ echo mlx5:mlx5_esw_bridge_fdb_entry_init >> set_event
63 $ echo mlx5:mlx5_esw_bridge_fdb_entry_cleanup >> set_event
71 $ echo mlx5:mlx5_esw_bridge_fdb_entry_refresh >> set_event
79 $ echo mlx5:mlx5_esw_bridge_vlan_create >> set_event
87 $ echo mlx5:mlx5_esw_bridge_vlan_cleanup >> set_event
[all …]
/openbmc/openbmc/meta-openembedded/meta-multimedia/recipes-multimedia/dvb-apps/files/
H A D0001-Fix-generate-keynames.patch14 @@ -18,7 +18,7 @@ echo "};" >> $1
15 echo >> $1
16 echo >> $1
17 echo "static struct input_key_name key_name [] = {" >> $1
22 echo " { \"$(echo $x | cut -b 5-)\", $x }," >> $1
24 echo "};" >> $1
25 echo >> $1
26 echo "static struct input_key_name btn_name [] = {" >> $1
31 echo " { \"$(echo $x | cut -b 5-)\", $x }," >> $1
/openbmc/openbmc/poky/meta/recipes-support/libcheck/libcheck/
H A Dnot-echo-compiler-info-to-check_stdint.h.patch1 Do not echo compiler info in a comment line to check_stdint.h which causes
12 @@ -272,7 +272,6 @@ echo "#ifndef" $_ac_stdint_h >$ac_stdint
13 echo "#define" $_ac_stdint_h "1" >>$ac_stdint
14 echo "#ifndef" _GENERATED_STDINT_H >>$ac_stdint
15 echo "#define" _GENERATED_STDINT_H '"'$PACKAGE $VERSION'"' >>$ac_stdint
16 -echo "/* generated $ac_cv_stdint_message */" >>$ac_stdint
18 echo "#define _STDINT_HAVE_STDINT_H" "1" >>$ac_stdint
19 echo "#include <stdint.h>" >>$ac_stdint
/openbmc/openbmc/poky/meta/recipes-extended/unzip/unzip/
H A D0001-unix-configure-fix-detection-for-cross-compilation.patch36 - echo -- no Large File Support
37 + echo -- yes we have Large File Support!
44 - echo -- no Large File Support - no 64-bit off_t
46 - echo -- no Large File Support - no 64-bit stat
48 - echo -- yes we have Large File Support!
51 - echo -- no Large File Support - conftest returned $r
53 + echo -- no Large File Support
70 echo "-- no Unicode (wchar_t) support"
77 - echo -- no Unicode wchar_t support - wchar_t allocation error
79 - echo -- no Unicode support - wchar_t encoding unspecified
[all …]
/openbmc/openbmc/meta-openembedded/meta-networking/recipes-support/ntimed/ntimed/
H A Duse-ldflags.patch10 echo
11 echo "ntimed-client: ${l}"
12 - echo " \${CC} \${CFLAGS} -o ntimed-client ${l} -lm"
13 + echo " \${CC} \${CFLAGS} -o ntimed-client ${l} \${LDFLAGS} -lm"
14 echo
15 echo "clean:"
16 echo " rm -f ${l} ntimed-client"
/openbmc/linux/Documentation/firmware-guide/acpi/
H A Dmethod-tracing.rst47 # echo "0xXXXXXXXX" > trace_debug_layer
48 # echo "0xYYYYYYYY" > trace_debug_level
49 # echo "enable" > trace_state
55 # echo "0xXXXXXXXX" > trace_debug_layer
56 # echo "0xYYYYYYYY" > trace_debug_level
57 # echo "\PPPP.AAAA.TTTT.HHHH" > trace_method_name
58 # echo "method" > /sys/module/acpi/parameters/trace_state
64 # echo "0xXXXXXXXX" > trace_debug_layer
65 # echo "0xYYYYYYYY" > trace_debug_level
66 # echo "\PPPP.AAAA.TTTT.HHHH" > trace_method_name
[all …]
/openbmc/u-boot/board/hisilicon/hikey/
H A Dbuild-tf.mak13 @echo "**** Common Makefile ****"
14 @echo "example:"
15 @echo "make -f build-tf.mak build"
19 @echo -n "Check that $(CROSS_COMPILE)gcc is available..."
22 echo "ERROR: cross-compiler $(CROSS_COMPILE)gcc not in PATH=$$PATH!" ; \
23 echo "ABORTING." ; \
26 echo "OK" ;\
30 @echo "Build TF for Hikey..."
38 @echo "Copy resulting binaries..."
/openbmc/openbmc/meta-openembedded/meta-multimedia/recipes-multimedia/mycroft/files/
H A D0001-Remove-python-venv.patch46 - echo 'Failed to set up virtualenv for mycroft, exiting setup.'
67 - echo 'import sys; sys.__plen = len(sys.path)' > "$VENV_PATH_FILE" || return 1
68 - echo "import sys; new=sys.path[sys.__plen:]; del sys.path[sys.__plen:]; p=getattr(sys,'__eggin…
72 - echo 'Adding mycroft-core to virtualenv path'
80 echo 'Warning: Failed to install all requirements. Continue? y/N'
92 echo "${script}: Mycroft command/service launcher"
107 echo "Initializing..."
155 - echo "venv-activate.sh: Enter the Mycroft virtual environment"
156 - echo "Usage:"
157 - echo " source venv-activate.sh"
[all …]
/openbmc/openbmc/poky/meta/recipes-extended/rpcbind/rpcbind/
H A Dinit.d35 echo -n "Starting rpcbind daemon..."
37 echo "already running."
42 echo "done."
44 echo "failed."
50 echo "Stopping rpcbind daemon..." in stop()
52 echo "not running." in stop()
57 echo "done." in stop()
59 echo "failed." in stop()
82 echo "Usage: /etc/init.d/rpcbind {start|stop|force-reload|restart|status}"
/openbmc/openbmc/poky/meta/recipes-extended/xdg-utils/xdg-utils/
H A DCVE-2022-4055.patch32 - MAILTO=$(echo "$2" | sed 's/^mailto://')
33 - echo "$MAILTO" | grep -qs "^?"
35 - MAILTO=$(echo "$MAILTO" | sed 's/^?//')
37 - MAILTO=$(echo "$MAILTO" | sed 's/^/to=/' | sed 's/?/\&/')
40 - MAILTO=$(echo "$MAILTO" | sed 's/&/\n/g')
41 - TO=$(/bin/echo -e $(echo "$MAILTO" | grep '^to=' | sed 's/^to=//;s/%\(..\)/\\x\1/g' | awk '{ p…
42 - CC=$(/bin/echo -e $(echo "$MAILTO" | grep '^cc=' | sed 's/^cc=//;s/%\(..\)/\\x\1/g' | awk '{ p…
43 - BCC=$(/bin/echo -e $(echo "$MAILTO" | grep '^bcc=' | sed 's/^bcc=//;s/%\(..\)/\\x\1/g' | awk '…
44 - SUBJECT=$(echo "$MAILTO" | grep '^subject=' | tail -n 1)
45 - BODY=$(echo "$MAILTO" | grep '^body=' | tail -n 1)
[all …]

12345678910>>...52